import { DropDownList, AutoComplete } from '../../';
import { uuid } from '../../utils';
import { StyledAppbarInput } from './styles';

/* eslint-disable-next-line */
export interface AppbarInputProps {
  /** todo */
  onAutoCompleteChange?: (e: object) => void;
  /** todo */
  onDropdownChange?: (e: object) => void;
  /** todo */
  dropDownData?: string[];
  /** todo */
  autoCompleteData?: string[];
  /** todo */
  defaultDropdownItem?: string;
  /** todo */
  id?: string;
  /** todo */
  placeholderAutoComplete?: string;
  /** todo */
  autoCompleteValue?: string;
  /** todo */
  disabledAutoComplete?: boolean;
  /** todo */
  disabledDropdown?: boolean;
  /** todo */
  valid?: boolean;
}

export const AppbarInput = ({
  onAutoCompleteChange,
  onDropdownChange,
  dropDownData = [],
  autoCompleteData = [],
  defaultDropdownItem = '',
  autoCompleteValue = '',
  id = '',
  placeholderAutoComplete = '',
  disabledAutoComplete = false,
  disabledDropdown = false,
  valid = true,
  ...others
}: AppbarInputProps) => {
  const handleDropdownChange = (e: {}) => onDropdownChange?.(e);

  return (
    <StyledAppbarInput disabledAutoComplete={disabledAutoComplete} {...others}>
      <DropDownList
        data={dropDownData}
        size="small"
        defaultItem={defaultDropdownItem}
        id={`${id}_dropdown` || `${uuid()}_dropdown`}
        onChange={handleDropdownChange}
        disabled={disabledDropdown}
        valid={valid}
      />
      <AutoComplete
        placeholder={placeholderAutoComplete}
        data={autoCompleteData}
        onChange={onAutoCompleteChange}
        icon="search"
        value={autoCompleteValue}
        disabled={disabledAutoComplete}
        valid={valid}
      />
    </StyledAppbarInput>
  );
};

export default AppbarInput;
