import styled, { css } from 'styled-components';
import { rem, colors, inputHeight } from '../../../utils';
import { AppbarInputProps } from '../appbar-input';

export const StyledAppbarInput = styled.div<AppbarInputProps>`
  display: flex;
  flex-direction: row;

  &&& div:first-of-type {
    & > span {
      height: ${inputHeight.sm};
      min-width: ${rem(175)};
      border-radius: ${rem(4)} 0 0 ${rem(4)};

      & > span {
        height: unset;
        & > span {
          height: unset;
        }
      }

      &:focus {
        z-index: 1;
      }
    }
  }

  &&& div:last-of-type {
    & > span {
      height: ${inputHeight.sm};
      width: ${rem(300)};
      border-radius: 0 ${rem(4)} ${rem(4)} 0;
      border-left-color: ${colors.white};

      &:hover {
        border-left-color: ${colors.gray300};
      }
      &:focus-within {
        border-left-color: ${colors.purple};
      }

      ${({ disabledAutoComplete }) =>
        disabledAutoComplete &&
        css`
          border-left-color: ${colors.gray300};
        `}
    }
  }
`;
