import styled, { css } from 'styled-components';
import { AutoComplete as KAutoComplete } from '@progress/kendo-react-dropdowns';
import { colors, rem, opacity, fontSize } from '../../../utils';
import { AutoCompleteProps } from '../auto-complete';
import { styledStyles } from '../../../utils/styledStyles';

export const StyledAutoComplete = styled(KAutoComplete)<AutoCompleteProps>`
  color: ${colors.gray500};
  background-color: ${colors.white};
  background-image: none;
  border: ${({ valid }) =>
    valid
      ? `${rem(1)} solid ${colors.gray200}`
      : `${rem(1)} solid ${colors.red}`};

  &:focus-within {
    border: 1px solid ${colors.purple};
    box-shadow: 0 0 0 4px
      ${({ valid }) =>
        valid ? 'rgba(135, 44, 140, 0.25)' : opacity(colors.darkRed, 0.25)};
  }

  &:hover {
    border: 1px solid ${colors.gray300};
  }

  button > span {
    font-size: ${rem(24)};
  }

  &&& input {
    padding: 0 0 0 ${rem(8)};
  }

  ${({ disabled }) =>
    disabled &&
    css`
      background-color: ${colors.disabledBackground};
      border-color: ${colors.gray300};
    `}

    ${({ $size }) => $size && styledStyles.inputSizes($size)}
`;
