import styled, { css } from 'styled-components';
import { rem } from '../../../utils';
import { AutoCompleteProps } from '../auto-complete';

export const StyledSearchInputContainer = styled.div<AutoCompleteProps>`
  ${({ icon }) =>
    icon === 'search' &&
    css`
      &&& {
        position: relative;
        & svg {
          display: flex;
          align-items: center;
          position: absolute;
          height: 100%;
          z-index: 1;
          left: calc(100% - ${rem(34)});
        }
        &&& input {
          padding-right: ${rem(10)};
        }
        &&& input ~ span {
          width: calc(${rem(40)} + ${rem(8)});
          & > span {
            left: calc(100% - ${rem(58)});
            font-size: ${rem(22)};
            color: #000000;
          }
        }
      }
    `}
`;
