import { ReactElement } from 'react';
import { StyledButton } from './styles';
import { ButtonProps as KButtonProps } from '@progress/kendo-react-buttons';
import '../../theme/base-theme.scss';

/* eslint-disable-next-line */
export interface ButtonProps extends Omit<KButtonProps,"size"> {
  /** todo */
  variant?:
    | 'primary'
    | 'secondary'
    | 'outline'
    | 'flat'
    | 'icon'
    | 'icon-text-flat'
    | 'dark';
  /** todo */
  disabled?: boolean;
  /** todo */
  size?: 'xx-small' |'x-small'| 'small'|'normal' | 'medium' | 'large' |'x-large'|'xx-large'| undefined;
  $size?:any,
  /** todo */
  toggle?: any;
  type?: 'button' | 'submit',
  /** todo */
  children: string | ReactElement;
}

export const Button = ({
  children,
  variant = 'primary',
  size = 'small',
  toggle = false,
  type="button",
  ...props
}: ButtonProps) => {
  const customPropsList = {
    $size: size,
    variant: variant,
  };

  return (
    <StyledButton {...customPropsList} toggle={toggle.toString()} type={type} {...props} >
      {children}
    </StyledButton>
  );
};

export default Button;
