import { Meta } from '@storybook/react';
import { Collapse } from './collapse';
import { useState } from 'react';

export default {
  component: Collapse,
  title: 'Layout/Collapse',
} as Meta;

export const Primary = (args) => {
  return (
    <Collapse label="open collapse" {...args}>
      Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod
      tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim
      veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea
      commodo consequat. Duis aute irure dolor in reprehenderit in voluptate
      velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat
      cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id
      est laborum. Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed
      do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
      minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex
      ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate
      velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat
      cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id
      est laborum. Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed
      do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad
      minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex
      ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate
      velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat
      cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id
      est laborum.
    </Collapse>
  );
};

export const Group = (args) => {
  const [els, setEls] = useState([
    {
      id: '1',
      title: 'open collapse',
      content:
        'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod',
      active: false,
    },
    {
      id: '2',
      title: 'open collapse',
      content:
        'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod',
      active: false,
    },
    {
      id: '3',
      title: 'open collapse',
      content:
        'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod',
      active: false,
    },
  ]);

  const handleClick = (e) => {
    const newEls = [...els];
    els.map(({ id }, i) =>
      id === e.currentTarget.id
        ? (newEls[i].active = true)
        : (newEls[i].active = false)
    );
    setEls(newEls);
  };

  return els.map(({ title, content, id, active }, i) => (
    <Collapse
      key={i}
      label={title}
      id={id}
      isActive={active}
      onClick={handleClick}
      {...args}
    >
      {content}
    </Collapse>
  ));
};
