import { IconNavChevonright } from '../../';
import { rem, colors, uuid } from '../../utils';
import { useState, useEffect } from 'react';
import { StyledCollapse } from './styles';

/* eslint-disable-next-line */
export interface CollapseProps {
  /** todo */
  isActive?: boolean;
  /** todo */
  children?: React.ReactNode;
  /** todo */
  label?: string;
  /** todo */
  id?: string;
  /** todo */
  onClick?: (e: {}) => void;
}

export const Collapse = ({
  isActive = false,
  children,
  label = '',
  id,
  onClick,
  ...props
}: CollapseProps) => {
  const [toggle, setToggle] = useState(isActive);

  useEffect(() => setToggle(isActive), [isActive]);

  const handleClick = (e: {}) => {
    onClick?.(e);
    setToggle(!toggle);
  };

  return (
    <StyledCollapse isActive={toggle} {...props}>
      <button
        type="button"
        id={id || `collapse_${uuid()}`}
        onClick={handleClick}
      >
        <IconNavChevonright fill={colors.white} fontSize={rem(18)} />
        <span>{label}</span>
      </button>
      <div>{children}</div>
    </StyledCollapse>
  );
};

export default Collapse;
