import styled, { css } from 'styled-components';
import { rem, colors, fontWeights, fontSize } from '../../../utils';
import { CollapseProps } from '../collapse';

export const StyledCollapse = styled.div<CollapseProps>`
  & > button {
    display: flex;
    align-items: center;
    background-color: ${colors.gray500};
    color: ${colors.white};
    cursor: pointer;
    padding: ${rem(18)};
    width: 100%;
    border: none;
    text-align: left;
    outline: none;

    &:hover {
      color: ${colors.pink};
    }

    & svg {
      margin-right: ${rem(18)};
      ${({ isActive }) =>
        isActive
          ? css`
              transform: rotate(90deg);
              transition: transform 0.15s ease-in;
            `
          : css`
              transform: rotate(0deg);
              transition: transform 0.15s ease-out;
            `};
    }

    & > span {
      align-self: center;
      padding-top: ${rem(3)};
      font-style: normal;
      font-weight: ${fontWeights.semiBold};
      font-size: ${fontSize.small};
      line-height: ${rem(19)};
      text-transform: uppercase;
    }
  }

  & > div {
    display: block;
    -ms-overflow-style: none; /* IE and Edge */
    scrollbar-width: none; /* Firefox */

    &::-webkit-scrollbar {
      display: none;
    }
    ${({ isActive }) =>
      isActive
        ? css`
            padding: ${rem(17)} ${rem(24)};
            max-height: ${rem(500)};
            transition: max-height 0.25s ease-in;
          `
        : css`
            padding: 0;
            max-height: 0;
            transition: max-height 0.15s ease-out;
          `};
    overflow: auto;
    background-color: #242424;
    color: ${colors.white};
  }
`;
