import styled from 'styled-components';
import { rem, colors, fontWeights } from '../../utils';

/* eslint-disable-next-line */
export interface ColorSwatchProps {
  /** todo */
  title?: string;
  /** todo */
  color?: string;
  /** todo */
  onClick?: (e: {}) => void;
}

const StyledColorSwatch = styled.button`
  display: flex;
  align-items: center;
  border: none;
  background-color: transparent;
  cursor: pointer;

  &:hover {
    & > div:last-of-type {
      color: ${colors.pink};
    }
  }

  & div:first-of-type {
    height: ${rem(30)};
    width: ${rem(30)};
    background-color: ${({ color }) => (color ? color : colors.white)};
    border: 1px solid ${colors.white};
    border-radius: ${rem(4)};
    color: ${colors.white};
    margin-right: ${rem(10)};
  }
  & div:last-of-type {
    font-weight: ${fontWeights.regular};
    font-size: ${rem(14)};
    background-color: none;
    border: none;
    background-image: none;
    color: ${colors.white};
  }
`;

export const ColorSwatch = ({
  onClick,
  title,
  color,
  ...others
}: ColorSwatchProps) => {
  const handleClick = (e: {}) => onClick?.(e);

  return (
    <StyledColorSwatch
      type="button"
      onClick={handleClick}
      color={color}
      {...others}
    >
      <div></div>
      <div>{title}</div>
    </StyledColorSwatch>
  );
};

export default ColorSwatch;
