import styled, { css } from 'styled-components';
import { ComboBox as KComboBox } from '@progress/kendo-react-dropdowns';
import {
  rem,
  colors,
  opacity,
  fontWeights,
  fontSize,
} from '../../../utils';
import { ComboBoxProps } from '../combo-box';
import { styledStyles } from '../../../utils/styledStyles';

export const StyledComboBox = styled(KComboBox)<ComboBoxProps>`
  &&& {
    color: ${colors.gray500};
    background-color: ${colors.white};
    background-image: none;
    font-size: ${fontSize.large};
    font-weight: ${fontWeights.regular};
    padding: ${rem(12)} ${rem(10)};
    border: ${({ valid }) =>
      valid
        ? `${rem(1)} solid ${colors.gray200}`
        : `${rem(1)} solid ${colors.red}`};

    &:focus-within {
      border: 1px solid ${colors.purple};
      box-shadow: 0 0 0 4px
        ${({ valid }) =>
          valid ? 'rgba(135, 44, 140, 0.25)' : opacity(colors.darkRed, 0.25)};
    }

    &:hover {
      border: 1px solid ${colors.gray300};
    }

    button {
      background-color: transparent;
      border: none;
      background-image: none;
      & > span {
        font-size: ${rem(24)};
      }
    }

    &&& input {
      padding: 0 0 0 ${rem(8)};
    }

    ${({ size }) => size && styledStyles.inputSizes(size)}
    padding-top: 0;
    padding-bottom: 0;
    padding-right: ${rem(3)};
    ${({ disabled }) =>
      disabled &&
      css`
        background-color: ${colors.disabledBackground};
        border-color: ${colors.gray300};
      `}
  }
`;
