import { rem } from '../../utils';
import { useEffect } from 'react';
import { StyledDrawer, StyledContent } from './styles';

/* eslint-disable-next-line */
export interface DrawerProps {
  /** todo */
  isActive?: boolean;
  /** Sets the element that the drawer component will attact to. usually the body element */
  attachTo?: string;
  /** todo */
  children?: React.ReactNode;
}

export const Drawer = ({
  isActive = false,
  attachTo = '',
  children,
  ...props
}: DrawerProps) => {
  useEffect(() => {
    if (attachTo) {
      document.getElementById(attachTo)!.style.marginLeft = isActive
        ? rem(235)
        : rem(0);

      document.getElementById(attachTo)!.style.transition = isActive
        ? `margin-left 0.3s`
        : `margin-left 0.3s`;
      return;
    }
    return;
  }, [isActive]);

  return (
    <StyledDrawer isActive={isActive} {...props}>
      <StyledContent isActive={isActive}>{children}</StyledContent>
    </StyledDrawer>
  );
};

export default Drawer;
