import styled, { css } from 'styled-components';
import { DrawerProps } from '../drawer';

export const StyledContent = styled.div<DrawerProps>`
  ${({ isActive }) =>
    isActive
      ? css`
          animation-name: FadeIn;
          animation-duration: 1s;
          transition-timing-function: linear;
        `
      : css`
          animation-name: FadeOut;
          animation-duration: 0.2s;
          transition-timing-function: linear;
        `}

  @keyframes FadeIn {
    0% {
      opacity: 0;
    }
    100% {
      opacity: 1;
    }
  }

  @keyframes FadeOut {
    0% {
      opacity: 1;
    }
    100% {
      opacity: 0;
    }
  }
`;
