import styled from 'styled-components';
import { colors, rem } from '../../../utils';
import { DrawerProps } from '../drawer';

export const StyledDrawer = styled.div<DrawerProps>`
  height: 100%;
  width: ${({ isActive }) => (isActive ? rem(235) : rem(0))};
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: ${colors.gray500};
  overflow: scroll;
  transition: 0.3s;
  -ms-overflow-style: none; /* IE and Edge */
  scrollbar-width: none; /* Firefox */

  &::-webkit-scrollbar {
    display: none;
  }
`;
