import { Story, Meta } from '@storybook/react';
import { Dropdown, DropdownProps } from './dropdown';

export default {
  component: Dropdown,
  title: 'Dropdowns/Dropdown',
} as Meta;

const Template: Story<DropdownProps> = ({ children, ...args }) => (
  <Dropdown {...args}>{children}</Dropdown>
);

export const Primary = Template.bind({});
Primary.args = {
  label: 'open',
  containerProps: {
    className: 'dropdown-container',
    id: 'dropdown-primary',
    style: {
      alignSelf: 'center',
    },
  },
  style: {
    width: 400,
  },
  children: 'Dropdown content. ',
};

export const WithCallout = Template.bind({});
WithCallout.args = {
  label: 'open',
  callout: true,
  children: 'Dropdown content with callout arrow.',
};
