import * as iconList from './components/';
export interface IconsProps {
  /** todo */
  component: React.ReactNode;
  /** todo */
  title?: string;
  /** todo */
  fontSize?: string;
  /** todo */
  size?: any;
}

export const IconList = (props: IconsProps) => {
  const camelToDashCase = str => str.replace(/[A-Z]/g, letter => `-${letter.toLowerCase()}`).substring(1,);
  return Object.keys(iconList).map(component=>{
    const Component = iconList[component];
    const className =  camelToDashCase(component);
    return {
      component:(({ fontSize,size,...rest })=><Component 
        {...props}
        {...rest}
        fontSize={fontSize||size}
        className={className}
      />),
      title: component,
    }
  });
};

export default IconList;
