import { Meta } from '@storybook/react';
import { InfoPanelProduct } from './info-panel-product';
import hoodieImg from '../../assets/images/hoodie.png';
import styled from 'styled-components';
import { rem } from '../../utils';
import { useState } from 'react';

export default {
  component: InfoPanelProduct,
  title: 'Panels/InfoPanelProduct',
} as Meta;

const StyledContainer = styled.div`
  width: ${rem(350)};
  padding-top: ${rem(40)};
  padding-left: ${rem(40)};
`;
const StyledContainerColor = styled.div`
  width: 100%;
  height: 100vh;
  background-color: #f5f5f8;
`;

export const Primary = ({ ...args }) => {
  const [toggle, setToggle] = useState(false);

  const data = {
    image: hoodieImg,
    alt: 'hoodie_image',
    title: 'Bomber Jacket 6571',
    info: [
      { name: 'Quantity', value: '50' },
      { name: 'Target Price', value: '$1.50' },
      { name: 'Quantity', value: '$25.00' },
      { name: 'Quantity', value: '01/01/2023' },
    ],
  };

  const handleClick = (e) => {
    setToggle(!toggle);
    console.log(e);
  };

  return (
    <StyledContainerColor>
      <StyledContainer>
        <InfoPanelProduct
          isActive={toggle}
          onClick={handleClick}
          data={data}
          pillLable="open"
          pillVariant="warning"
          popoverContent={<div>hello world!</div>}
          {...args}
        />
      </StyledContainer>
    </StyledContainerColor>
  );
};

export const Active = ({ ...args }) => {
  const [toggle, setToggle] = useState(true);

  const data = {
    image: hoodieImg,
    alt: 'hoodie_image',
    title: 'Bomber Jacket 6571',
    info: [
      { name: 'Quantity', value: '50' },
      { name: 'Target Price', value: '$1.50' },
      { name: 'Quantity', value: '$25.00' },
      { name: 'Quantity', value: '01/01/2023' },
    ],
  };

  const handleClick = (e) => {
    setToggle(!toggle);
    console.log(e);
  };

  return (
    <StyledContainerColor>
      <StyledContainer>
        <InfoPanelProduct
          onClick={handleClick}
          isActive={toggle}
          data={data}
          pillLable="open"
          pillVariant="warning"
          popoverContent={<div>hello world!</div>}
          {...args}
        />
      </StyledContainer>
    </StyledContainerColor>
  );
};
