import styled from 'styled-components';
import { rem, colors } from '../../../utils';
import { InfoPanelProductProps } from '../info-panel-product';

export const StyledInfoPanelProduct = styled.div<InfoPanelProductProps>`
  &&& {
    & > div {
      min-height: ${rem(350)};
      width: ${rem(250)};
      border: 2px solid
        ${({ isActive }) => (isActive ? colors.purple : colors.white)};
      & > div:nth-child(2) {
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: ${colors.white};

        & img {
          width: ${rem(170)};
        }
      }
      & > div:last-of-type {
        background-color: ${colors.white};
        & > div:first-of-type {
          & > button {
            background-color: transparent;
            border: none;
            padding: 0;
            color: ${colors.purple};
          }
        }
      }
    }
  }
`;
