import { Story, Meta } from '@storybook/react';
import styled from 'styled-components';
import { rem } from '../../utils';
import { InfoPanelVendor, InfoPanelVendorProps } from './info-panel-vendor';
import { Button } from '../../';

export default {
  component: InfoPanelVendor,
  title: 'Panels/InfoPanelVendor',
} as Meta;

const StyledContainer = styled.div`
  width: ${rem(350)};
  padding-top: ${rem(40)};
  padding-left: ${rem(40)};
`;
const StyledContainerColor = styled.div`
  width: 100%;
  height: 100vh;
  background-color: #f5f5f8;
`;

const Template: Story<InfoPanelVendorProps> = (args) => (
  <StyledContainerColor>
    <StyledContainer>
      <InfoPanelVendor {...args} />
    </StyledContainer>
  </StyledContainerColor>
);

export const Primary = Template.bind({});
Primary.args = {
  pillLabel: 'open',
  warningItems: ['first', 'second', 'last'],
  pillVariant: 'warning',
  popoverPosition: 'left',
  popoverContent: (
    <div>
      <div>Approve</div>
      <div>Create Revision</div>
    </div>
  ),
  vendorQty: '10, 000',
  vendorName: 'vendorName',
  vendorNumber: '1000001',
  vendorCost: '100,000',
  vendorDate: '01/01/2022',
  factoryName: 'Shanghai Factory Over...',
  progressVariant: 'warning',
  progressBarValue: 50,
  footerChildren: (
    <>
      <Button size="large" togglable variant="secondary">
        10 MCPO
      </Button>
      <Button size="large" togglable variant="secondary">
        10 DPO
      </Button>
    </>
  ),
};

export const Active = Template.bind({});
Active.args = {
  isActive: true,
  pillLabel: 'open',
  warningItems: ['first', 'second', 'last'],
  pillVariant: 'warning',
  popoverPosition: 'left',
  popoverContent: (
    <div>
      <div>Approve</div>
      <div>Create Revision</div>
    </div>
  ),
  vendorQty: '10, 000',
  vendorName: 'vendorName',
  vendorNumber: '1000001',
  vendorCost: '100000',
  vendorDate: '01/01/2022',
  factoryName: 'Shanghai Factory Over...',
  progressVariant: 'warning',
  progressBarValue: 50,
  footerChildren: (
    <>
      <Button size="large" togglable variant="secondary">
        10 MCPO
      </Button>
      <Button size="large" togglable variant="secondary">
        10 DPO
      </Button>
    </>
  ),
};
