import styled from 'styled-components';
import {
  rem,
  colors,
  fontWeights,
  fontSize,
} from 'libs/br-components/src/utils';

const StyledBody = styled.div`
  display: flex;
  flex: auto;
  flex-direction: column;
  padding: ${rem(18)} 0 ${rem(10)} 0;

  & > div:first-of-type {
    font-size: ${fontSize.large};
    font-weight: ${fontWeights.semiBold};
    color: ${colors.purple};
  }

  & > div {
    display: flex;
    flex-direction: row;
    flex: auto;
    justify-content: space-between;
    padding-bottom: ${rem(5)};
  }

  & > div:last-of-type {
    padding-bottom: ${rem(15)};
  }

  & span {
    display: inherit;
    & > div {
      display: inline-grid;
    }
  }
`;

export default StyledBody;
