import styled from 'styled-components';
import { colors, rem, fontWeights } from '../../utils';
import { Link } from './components';

/* eslint-disable-next-line */
export interface LinkListProps {
  /** todo */
  category?: string;
  /** todo */
  children?: React.ReactNode;
}

const StyledLinkList = styled.div`
  color: ${colors.white};

  & > span {
    font-weight: ${fontWeights.regular};
    font-size: ${rem(9)};
    line-height: ${rem(20)};
    text-transform: uppercase;
  }

  & > ul {
    list-style-type: none;
    padding: 0;
    margin: ${rem(10)} 0 ${rem(19)} 0;
  }
`;

export const LinkList = ({
  category = 'testing',
  children,
  ...props
}: LinkListProps) => {
  return (
    <StyledLinkList {...props}>
      <span>{category}</span>
      <ul>{children}</ul>
    </StyledLinkList>
  );
};

LinkList.Link = Link;

export default LinkList;
