import { Story, Meta } from '@storybook/react';
import ListView, { ListViewProps } from './list-view';

export default {
  component: ListView,
  title: 'Listview/ListView',
} as Meta;

const Template: Story<ListViewProps> = (args) => <ListView {...args} />;
const data = [
  {
      "label": "BRUSSELS, BELGIUM",
      "Text": "Chocolate, beer, music and surrealism.",
  },
  {
      "label": "PORTO, PORTUGAL",
      "Text": "Taste it, drink it, eat it, love it. Bem-vindo ao Porto!",
  },
  {
      "label": "BRUSSELS, BELGIUM",
      "Text": "Chocolate, beer, music and surrealism.",
  },
  {
      "label": "PORTO, PORTUGAL",
      "Text": "Taste it, drink it, eat it, love it. Bem-vindo ao Porto!",
  },
  {
    "label": "BR components documentation",
    "href":"https://main--62864afca94751004acf37bc.chromatic.com/",
    "Text": "Taste it, drink it, eat it, love it. Bem-vindo ao Porto!",
}
];
export const Default = Template.bind({});
Default.args = { data:data,dataItemKey:"label" };
export const AsButtonTag = Template.bind({});
AsButtonTag.args = { data:data,as:"button",dataItemKey:"label", style:{maxWidth:"300px"} };
export const AsAnchorTag = Template.bind({});
AsAnchorTag.args = { data:data, as:"a" ,dataItemKey:"label",onClick:(dataItem,index)=>{console.log("dataItem, index-",dataItem, index)}};
export const AsSpanTag = Template.bind({});
AsSpanTag.args = { data:data, as:"span",dataItemKey:"label",onClick:(dataItem,index)=>{console.log("dataItem, index-",dataItem, index)} };
export const asDivTag = Template.bind({});
asDivTag.args = { data:data, as:"div",dataItemKey:"label" };

export const withDivider = Template.bind({});
withDivider.args = { data:data, divider:true,dataItemKey:"label" };

export const Horizontal = Template.bind({});
Horizontal.args = { data:data, divider:true,direction:"horizontal",dataItemKey:"label" };

export const withDisabledItem = Template.bind({});
withDisabledItem.args = { data:[...data,{...data[2],disabled:true}], dataItemKey:"label",divider:true};

export const withAllDisabledItem = Template.bind({});
withAllDisabledItem.args = { data:data, divider:true,disabled:true,dataItemKey:"label"};

export const withStringData = Template.bind({});
withStringData.args = { data:["item 1","item 2","item 3"], divider:true};

const Header = props=>{
  return <div>List of label</div>
}
const Footer = props=>{
  return <div>Footer: Nice collection</div>
}
const ListItem = props=>{
  return(
    <div style={{color:"red"}}>
      {props.dataItem.label}: 
      {props.dataItem.Text}
    </div>
  )
}

export const withCustomItemRender = Template.bind({});
withCustomItemRender.args = { data:data,header:Header,footer:Footer,item:ListItem, divider:true};


