import { Story, Meta } from '@storybook/react';
import Pill, { BadgeProps } from './pill';

export default {
  component: Pill,
  title: ' Indicators/Pill',
} as Meta;

const Template: Story<BadgeProps> = (args) => <Pill {...args} />;

export const Success = Template.bind({});
Success.args = { variant: 'success', label: 'success' };

export const Warning = Template.bind({});
Warning.args = { variant: 'warning', label: 'warning' };

export const Error = Template.bind({});
Error.args = { variant: 'error', label: 'error' };

export const Default = Template.bind({});
Default.args = { label: 'default' };
