import { StyledPill } from './styles';
import '../../theme/base-theme.scss';

/* eslint-disable-next-line */
export interface BadgeProps {
  /* todo */
  label: string;
  /* todo test */
  variant?: 'primary' | 'success' | 'warning' | 'error';
  /* size of pills */
  size?: "small" | "medium" | "large";
  /** style object for further styling such as font-size, lineheight, background, color etc */
  style?: object
}

export const Pill = ({ label,size="small", variant, ...props }: BadgeProps) => {
  return (
    <StyledPill
      shape="pill"
      size={size}
      label={label}
      align={{
        vertical: 'top',
        horizontal: 'start',
      }}
      position="inside"
      variant={variant}
      {...props}
    >
      <span>{label}</span>
    </StyledPill>
  );
};

export default Pill;
