import { Meta } from '@storybook/react';
import { Popover } from './popover';
import styled from 'styled-components';
import { rem } from '../../utils';
import { IconNavFavorite } from '../../';

export default {
  component: Popover,
  title: 'Tooltips/Popover',
} as Meta;

const StyledExampleContent = styled.div`
  & > div {
    margin-bottom: ${rem(5)};
  }
`;

const StyledContainer = styled.div`
  display: flex;
  justify-content: center;
  padding-top: ${rem(100)};
`;

export const Primary = ({ ...args }) => {
  return (
    <StyledContainer>
      <Popover
        position={'bottom'}
        popoverContent={
          <StyledExampleContent>
            <div>Approve</div>
            <div>Create Revision</div>
            <div>Retire</div>
            <div>Delete</div>
            <div>Active/Inactive</div>
            <div>Change Tracking</div>
          </StyledExampleContent>
        }
        {...args}
      />
    </StyledContainer>
  );
};

export const CustomTrigger = ({ ...args }) => {
  return (
    <StyledContainer>
      <Popover
        position={'bottom'}
        customTrigger={
          <IconNavFavorite fontSize={50} fill="#D31999" stroke="#F2B919" />
        }
        popoverContent={
          <StyledExampleContent>
            <div>Approve</div>
            <div>Create Revision</div>
            <div>Retire</div>
            <div>Delete</div>
            <div>Active/Inactive</div>
            <div>Change Tracking</div>
          </StyledExampleContent>
        }
        {...args}
      />
    </StyledContainer>
  );
};
