import { Story, Meta } from '@storybook/react';
import { ProgressBar, ProgressBarProps } from './progress-bar';

export default {
  component: ProgressBar,
  title: 'ProgressBars/ProgressBar',
  argTypes: {
    $variant: {
      table: {
        disable: true,
      },
    },
  },
} as Meta;

const Template: Story<ProgressBarProps> = (args) => <ProgressBar {...args} />;

export const Success = Template.bind({});
Success.args = {
  value: 50,
  variant: 'success',
};

export const Warning = Template.bind({});
Warning.args = {
  value: 50,
  variant: 'warning',
};

export const Error = Template.bind({});
Error.args = {
  value: 50,
  variant: 'error',
};
