import { TabStripProps as KTabStripProps } from '@progress/kendo-react-layout';
import { Tab } from './components';
import '../../theme/base-theme.scss';
import { StyledTabStrip } from './styles';

/* eslint-disable-next-line */
export interface TabStripProps extends KTabStripProps {
  /** todo */
  variant: 'primary' | 'secondary' | 'global' | string;
  /** todo */
  selected: number | any;
  /** todo */
  children: React.ReactNode;
}

export const TabStrip = ({
  variant,
  selected = null,
  children,
  ...props
}: TabStripProps) => {
  return (
    <StyledTabStrip selected={selected} variant={variant} {...props}>
      {children}
    </StyledTabStrip>
  );
};

TabStrip.Tab = Tab;

export default TabStrip;
