import { Meta } from '@storybook/react';
import styled from 'styled-components';
import { ToggleButtonGroup } from './toggle-button-group';

const StyleDiv = styled.div`
  background-color: #b9245e;
`;

export default {
  component: ToggleButtonGroup,
  title: 'Buttons/ToggleButtonGroup',
  argTypes: {
    $transientBorder: {
      table: {
        disable: true,
      },
    },
    iconSize: {
      control: 'text',
    },
    iconColor: {
      control: 'text',
    },
    buttonSize: {
      table: {
        disable: true,
      },
    },
    hasBorder: {
      control: 'boolean',
    },
    iconType: {
      control: 'radio',
      options: ['primary', 'secondary'],
    },
  },
} as Meta;

export const Primary = ({ ...args }) => {
  const handleArrowButtonGroupClick = (res) => console.log(res);
  return <ToggleButtonGroup {...args} onClick={handleArrowButtonGroupClick} />;
};

export const Border = ({ ...args }) => {
  const handleArrowButtonGroupClick = (res) => console.log(res);
  return (
    <ToggleButtonGroup
      onClick={handleArrowButtonGroupClick}
      hasBorder={false}
      {...args}
    />
  );
};

export const IconType = ({ ...args }) => {
  const handleArrowButtonGroupClick = (res) => console.log(res);
  return (
    <ToggleButtonGroup
      onClick={handleArrowButtonGroupClick}
      hasBorder={false}
      iconType="secondary"
      {...args}
    />
  );
};

export const Color = ({ ...args }) => {
  const handleArrowButtonGroupClick = (res) => console.log(res);
  return (
    <StyleDiv>
      <ToggleButtonGroup
        onClick={handleArrowButtonGroupClick}
        hasBorder={false}
        iconType="secondary"
        iconColor="white"
        {...args}
      />
    </StyleDiv>
  );
};
