import styled, { css } from 'styled-components';
import { Typography as KTypography } from '@progress/kendo-react-common';
import { rem, fontWeights } from '../../../utils';
import { TypographyProps } from '../typography';
import { styledStyles } from '../../../utils/styledStyles';
export const commonStyle = css<TypographyProps>`
    margin:0;
    ${({ themeColor }) => themeColor &&styledStyles.themeColor(themeColor)}
    ${({size})=>size && styledStyles.sizes(size)}
    ${({ fontSize }) => !!fontSize && styledStyles.fontSize(fontSize)}
    ${({ color }) => color && styledStyles.color(color)}
    ${({ textDecoration }) => textDecoration && styledStyles.textDecoration(textDecoration)}
    ${({fontWeight})=>fontWeight && styledStyles.fontWeight(fontWeight)}
`;
export const StyledTypography = {
  h1:styled(KTypography.h1) <TypographyProps> `
    &&& {
      font-size: ${rem(64)};
      font-weight: ${fontWeights.semiBold};
        ${commonStyle} 
      }
    }
  `,
  h2:styled(KTypography.h2) < TypographyProps > `
    &&& {
      font-size: ${rem(48)};
      font-weight: ${fontWeights.semiBold};
        ${commonStyle} 
      }
    }
  `,
  h3:styled(KTypography.h3) < TypographyProps > `
    &&& {
      font-size: ${rem(36)};
      font-weight: ${fontWeights.semiBold};
        ${commonStyle} 
      }
    }
  `,
  h4:styled(KTypography.h4) < TypographyProps > `
    &&& {
      font-size: ${rem(24)};
      font-weight: ${fontWeights.semiBold};
        ${commonStyle} 
      }
    }
  `,
  h5:styled(KTypography.h5) < TypographyProps > `
    &&& {
      font-size: ${rem(20)};
      font-weight: ${fontWeights.semiBold};
        ${commonStyle} 
      }
    }
  `,
  h6:styled(KTypography.h6) < TypographyProps > `
    &&& {
      font-size: ${rem(16)};
      font-weight: ${fontWeights.semiBold};
        ${commonStyle} 
      }
    }
  `,
  p:styled(KTypography.p) <TypographyProps> `
    &&& {
      font-weight: ${fontWeights.regular};
        ${commonStyle} 
      }
    }
  `,
  pre: styled(KTypography.pre) < TypographyProps >`
   &&&{
    font-weight: ${fontWeights.regular};
    ${commonStyle}
   }
  `,
  code: styled(KTypography.code) < TypographyProps >`
   &&&{
    font-weight: ${fontWeights.regular};
    ${commonStyle}
   }
  `,
  Div: styled.div < TypographyProps >`
  &&&{
    ${commonStyle}
  }
  `
}; 
