import { Story, Meta } from '@storybook/react';
import { Typography, TypographyProps } from './typography';

export default {
  component: Typography,
  title: 'Typography/Typography',
  argTypes: {
    fontSize:{control:{type:'number',min:0,max:100,step:1}},
    fontWeight: {
      control: 'radio',
      options: ['light','regular','medium','semi-bold','bold','extra-bold']
    },
  },
} as Meta;

const Template: Story<TypographyProps> = (args) => <>
<Typography.h1 {...args} >H1 Heading...</Typography.h1>
<Typography.h2 {...args} >H2 Heading...</Typography.h2>
<Typography.h3 {...args} >H3 Heading...</Typography.h3>
<Typography.h4 {...args} >H4 Heading...</Typography.h4>
<Typography.h5 {...args} >H5 Heading...</Typography.h5>
<Typography.h6 {...args} >H6 Heading...</Typography.h6>
</>;

export const Heading = Template.bind({});
Heading.args = {};

const PTemplate: Story<TypographyProps> = (args) => <Typography.p {...args} >Bamboo Rose helps you work more like your consumers shop. You can easily find and share inspiration, develop big ideas with your buyers and suppliers, and socially manage your entire sourcing and buying community wherever they are across the globe. </Typography.p>;

export const Paragraph = PTemplate.bind({});
Paragraph.args = {};

const PreTemplate: Story<TypographyProps> = (args) => <Typography.pre 
    {...args} 
    text={`Bamboo Rose helps you work more like your consumers shop.
      You can easily find and share inspiration, 
      develop big ideas with your buyers and suppliers, 
      and socially manage your entire sourcing and 
      buying community wherever they are across the globe.`
    }
  />

export const Pre = PreTemplate.bind({});
Pre.args = {};

const CodeTemplate: Story<TypographyProps> = (args) => <Typography.code
  text={`const handleChange = ({ target }) => {
    const { name, value } = target;
    const newData = Object.assign({}, data, { [name]: value });
    setData(newData);
    }` }
/>
export const Code = CodeTemplate.bind({});
Code.args = {};
const DefaultTemplate: Story<TypographyProps> = (args) => <Typography {...args} >Bamboo Rose helps you work more like your consumers shop. You can easily find and share inspiration, develop big ideas with your buyers and suppliers, and socially manage your entire sourcing and buying community wherever they are across the globe.</Typography>;

export const Default = DefaultTemplate.bind({});
Default.args = {};
