import { useEventListener } from './';

export default function useClickOutside(ref, cb, container) {
  if (!container) {
    container = document;
  }
  useEventListener(
    'click',
    (e) => {
      if (ref.current == null || ref.current.contains(e.target)) return;
      cb(e);
    },
    container
  );
}
